%define module Glib

Summary: Perl module for the glib-2.x library
Name:    perl-%module
Version: 0.95
Release: 3mdk
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  %module-%version.tar.bz2
Patch0: Glib-0.95-exception-trapping.patch.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: glib2-devel
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends
Requires: glib2 => 2.2.2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides perl access to Glib and GLib's GObject libraries.
It is mainly used by perl-GTK2 applications.

Glib is a handy library of portability and utility functions. This C library
is designed to solve some portability problems and provide other useful
functionality which most programs require.

GObject provides a generic type system with inheritance and a powerful signal
system.

Together these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.


%prep
%setup -q -n %module-%version
%patch0 -p0
find -type d -name CVS | rm -rf 


%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE README.api-changes
%{_mandir}/*/*
%{perl_vendorarch}/%module/
%{perl_vendorarch}/%module.pm
%{perl_vendorarch}/auto/*


%changelog
* Sun Sep 14 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.95-3mdk
- when doing exception trapping, we G_EVAL the callback, this erases
  any already set ERRSV, which is bad if perl program is a eval'ed
  block which was counting on the exception mechanism (especially
  true for windows destructions occuring from within ugtk2.pm since
  we set a callback on the destroy signal); so, save it previously,
  in case no exception occurs in callback we can restore it

* Sun Aug 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-2mdk
- patch 0: introduce infrastructure to enable perl-Gtk2 to properly handle perl
  exceptions

* Fri Aug 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-1mdk
- new release

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-1mdk
- new release

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.90-2mdk
- rebuild for new perl
- use %%makeinstall_std macro
- use %%make macro

* Fri Jul 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-1mdk
- new release
- remove patch 0 (merged upstream)

* Mon Jul 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-4mdk
- add some docs

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-3mdk
- patch 3: put a better fix for bootstrapping faillures

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-2mdk
- patch 0: fix DynaLoader failling to bootstrap Glib due to l10n problem

* Mon Jul 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-1mdk
- Glib-0.26: refcount on gchar
- remove patch 0 (merged upstream)

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-2mdk
- fix description
- fix summary

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-1mdk
- initial release
